Page MenuHomePhabricator

make enventor 1.0.0 return eolian_gen return invalid option -- '-'
Closed, ResolvedPublic

Description

Sorry, don't know how to report bug here. So I created a task.

I'm compiling enventor v1.0.0 on raspberry pi 4 with error: eolian_gen return invalid option -- '-' when 'make'.

make[1]: Entering directory '/home/tonny/git/enventor-1.0.0'
Making all in src
make[2]: Entering directory '/home/tonny/git/enventor-1.0.0/src'
Making all in lib
make[3]: Entering directory '/home/tonny/git/enventor-1.0.0/src/lib'
  EOLIAN   enventor_object.eo.c
/usr/local/bin/eolian_gen: invalid option -- '-'
Usage: /usr/local/bin/eolian_gen [options] [input]

note:

  • efl (1.25.1), enlightenment (0.24.2) compiled.
  • all required library installed (using debian buster library)
  • raspberry pi 4 4GB
  • debian buster armhf.

tasks are bug reports...

what efl version is installed. i suspect your efl verions is just too old.

Noted. Thanks.

I'm using newest efl, ver 1.25.1. As for enlightenment, I'm using ver 0.24.2.

tonny-sofijan updated the task description. (Show Details)Dec 1 2020, 8:26 PM
tonny-sofijan updated the task description. (Show Details)
raster added a comment.Dec 2 2020, 2:22 AM

well hmmm i am building enventor from git against efl from git just fine (arch linux)... maybe it's something to do with autoconf?

Don't know what's wrong. Novice here. I just know how to compile :). I'll try to compile enventor from git and report back.

I've compiled enventor from git and success. Maybe could update stable version at enlightenment download pages with git version? Thanks.

raster added a comment.Dec 4 2020, 2:14 AM

ok - must have been fixed in git since. :) so just needs a release

tonny-sofijan closed this task as Resolved.Dec 5 2020, 1:36 AM

Yep. Thanks!